Constants (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer

## Class Constants

- java.lang.Object
- - org.gcube.messaging.common.consumer.Constants

-     public class Constants
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Constants.MailTemplateToken`
    `static class` | `Constants.NotificationSubType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNTINGDBFILE_JNDI_NAME` Name of the AccountingDBFile in the JNDI configuration of the service.
    `static String` | `ACCOUNTINGSYTEMDBFILE_JNDI_NAME` Name of the AccountingSystemDBFile in the JNDI configuration of the service.
    `static String` | `CONFIGDIR_JNDI_NAME` Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.
    `static String` | `CONNECT_TO_USERMANAGEMENT_DB_JNDI_NAME` Name of the connectToUserManagementDB in the JNDI configuration of the service.
    `static String` | `DBHOST_JNDI_NAME` Name of the DBName in the JNDI configuration of the service.
    `static String` | `DBPASS_JNDI_NAME` Name of the DBPass in the JNDI configuration of the service.
    `static String` | `DBPORT_JNDI_NAME` Name of the DBNport in the JNDI configuration of the service.
    `static String` | `DBUSER_JNDI_NAME` Name of the DBUser in the JNDI configuration of the service.
    `static String` | `JNDI_NAME` Name of the port-type in the JNDI configuration of the service.
    `static String` | `MAIL_TEMPLATE_FILE_JNDI_NAME` Name of the MailTemplatesFile in the JNDI configuration of the service.
    `static String` | `MAILRECIPIENTS_JNDI_NAME` Name of the MAILRECIPIENTS_JNDI_NAME in the JNDI configuration of the service.
    `static String` | `MAXDBCONNECTIONS_JNDI_NAME` Name of the MaxDBConnection in the JNDI configuration of the service.
    `static String` | `MESSAGESSUBSCRIPTIONS_JNDI_NAME`
    `static String` | `MESSAGING_ENDPOINT_REFRESH_TIME` Name of the endpointRefreshTime in the JNDI configuration of the service.
    `static String` | `MESSAGING_ENDPOINT_WAITING_TIME` Name of the endpointWaitingTime in the JNDI configuration of the service
    `static String` | `MONITORINGDBFILE_JNDI_NAME` Name of the MonitoringDBFile in the JNDI configuration of the service.
    `static String` | `NOTIFYBYMAIL_JNDI_NAME` Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.
    `static String` | `SUBSCRIPTIONSMAPPING_JNDI_NAME` Name of the UseEmbeddedDB in the JNDI configuration of the service.
    `static String` | `USEEMBEDDEDBROKER_JNDI_NAME` Name of theUSEEMBEDDEDBROKER_JNDI_NAME in the JNDI configuration of the service.
    `static String` | `USEEMBEDDEDDB_JNDI_NAME` Name of the UseEmbeddedDB in the JNDI configuration of the service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JNDI_NAME

          public static final String JNDI_NAME

      Name of the port-type in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### ACCOUNTINGDBFILE_JNDI_NAME

          public static final String ACCOUNTINGDBFILE_JNDI_NAME

      Name of the AccountingDBFile in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### MONITORINGDBFILE_JNDI_NAME

          public static final String MONITORINGDBFILE_JNDI_NAME

      Name of the MonitoringDBFile in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### ACCOUNTINGSYTEMDBFILE_JNDI_NAME

          public static final String ACCOUNTINGSYTEMDBFILE_JNDI_NAME

      Name of the AccountingSystemDBFile in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### MAILRECIPIENTS_JNDI_NAME

          public static final String MAILRECIPIENTS_JNDI_NAME

      Name of the MAILRECIPIENTS_JNDI_NAME in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### CONFIGDIR_JNDI_NAME

          public static final String CONFIGDIR_JNDI_NAME

      Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### NOTIFYBYMAIL_JNDI_NAME

          public static final String NOTIFYBYMAIL_JNDI_NAME

      Name of the CONFIGDIR_JNDI_NAME in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### USEEMBEDDEDBROKER_JNDI_NAME

          public static final String USEEMBEDDEDBROKER_JNDI_NAME

      Name of theUSEEMBEDDEDBROKER_JNDI_NAME in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### SUBSCRIPTIONSMAPPING_JNDI_NAME

          public static final String SUBSCRIPTIONSMAPPING_JNDI_NAME

      Name of the UseEmbeddedDB in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### MESSAGESSUBSCRIPTIONS_JNDI_NAME

          public static final String MESSAGESSUBSCRIPTIONS_JNDI_NAME

      See Also:
        Constant Field Values

    - #### USEEMBEDDEDDB_JNDI_NAME

          public static final String USEEMBEDDEDDB_JNDI_NAME

      Name of the UseEmbeddedDB in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### DBUSER_JNDI_NAME

          public static final String DBUSER_JNDI_NAME

      Name of the DBUser in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### DBPASS_JNDI_NAME

          public static final String DBPASS_JNDI_NAME

      Name of the DBPass in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### DBHOST_JNDI_NAME

          public static final String DBHOST_JNDI_NAME

      Name of the DBName in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### DBPORT_JNDI_NAME

          public static final String DBPORT_JNDI_NAME

      Name of the DBNport in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### MAXDBCONNECTIONS_JNDI_NAME

          public static final String MAXDBCONNECTIONS_JNDI_NAME

      Name of the MaxDBConnection in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### MAIL_TEMPLATE_FILE_JNDI_NAME

          public static final String MAIL_TEMPLATE_FILE_JNDI_NAME

      Name of the MailTemplatesFile in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### CONNECT_TO_USERMANAGEMENT_DB_JNDI_NAME

          public static final String CONNECT_TO_USERMANAGEMENT_DB_JNDI_NAME

      Name of the connectToUserManagementDB in the JNDI configuration of the service.
      See Also:
        Constant Field Values

    - #### MESSAGING_ENDPOINT_WAITING_TIME

          public static final String MESSAGING_ENDPOINT_WAITING_TIME

      Name of the endpointWaitingTime in the JNDI configuration of the service
      See Also:
        Constant Field Values

    - #### MESSAGING_ENDPOINT_REFRESH_TIME

          public static final String MESSAGING_ENDPOINT_REFRESH_TIME

      Name of the endpointRefreshTime in the JNDI configuration of the service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2014. All Rights Reserved.